.button{
  display: inline-flex;
  color: var(--black);
  background-color: transparent;
  border-style: solid;
  border-radius: var(--space-l);
  padding: var(--space-unit) var(--space-l);
  outline: none;
  overflow: hidden;
  text-align: center;
  font-family: var(--font-montserrat);
  text-transform: uppercase;
  font-weight: bolder;
  transition-duration: var(--transition-unit);
  cursor: pointer;
}

.button--blue{
  border-color: var(--lighter-blue);
}

.button--blue:hover{
  background-color: var(--lighter-blue);
}

.button--blue:active{
  border-color: var(--darker-blue);
  background-color: var(--darker-blue);
}

.button--blue:disabled{
  border-color: var(--darker-blue);
  background-color: var(--darker-blue);
  opacity: var(--opacity-unit);
  cursor: not-allowed;
}

.button--yellow{
  border-color: var(--lighter-yellow);
}

.button--yellow:hover{
  background-color: var(--lighter-yellow);
}

.button--yellow:active{
  border-color: var(--darker-yellow);
  background-color: var(--darker-yellow);
}

.button--yellow:disabled{
  border-color: var(--darker-yellow);
  background-color: var(--darker-yellow);
  opacity: var(--opacity-unit);
  cursor: not-allowed;
}


